Skip to main content
POST
/
compute
/
v1
/
agents
/
{agent_id}
/
deploy
Deploy an agent from the registry
curl --request POST \
  --url https://compute.hexelstudio.com/compute/v1/agents/{agent_id}/deploy \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "config_hash": "<string>",
  "created_at": "<string>",
  "endpoint": "<string>",
  "endpoint_name": "<string>",
  "id": "<string>",
  "image": "<string>",
  "manifest": {},
  "metadata": {},
  "name": "<string>",
  "registry_id": "<string>",
  "skills": [
    "<string>"
  ],
  "state": "<string>",
  "tier": "<string>",
  "token": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Path Parameters

agent_id
string
required

Registry Agent ID

Body

application/json

Deploy options

The body is of type object.

Response

200 - application/json

OK

config_hash
string
created_at
string
endpoint
string
endpoint_name
string
id
string
image
string
manifest
object
metadata
object
name
string
registry_id
string
skills
string[]
state
string
tier
string
token
string
updated_at
string